﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace GUI.MiscOperations
{
    public partial class LabelDeletion : Form
    {
        /// <summary>
        /// Properties to set before showing form
        /// </summary>
        public List<string> Labels { get; set; }

        /// <summary>
        /// Properties to get after closing form
        /// </summary>
        public string LabelName { get; set; }

        public LabelDeletion()
        {
            InitializeComponent();
            this.DialogResult = DialogResult.None;
            Labels = new List<string>();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            LabelName = String.Copy(cbLabelName.SelectedItem.ToString());
            this.Close();
        }
        private void button2_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
            LabelName = String.Empty;
            this.Close();
        }

        private void LabelDeletion_Shown(object sender, EventArgs e)
        {
            CFormUtilities.SetComboBoxLabel(cbLabelName, Labels, Labels[0]);
        }
    }
}
