﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Agora.Model.ImageAnalysis;

namespace Agora.Model.OperatorLevel0
{
    public abstract class COperatorExpand : COperator
    {
        public COperatorExpand(CPattern p)
            : base(p)
        {
        }

        protected override bool EvaluatePairing()
        {
            return true;
        }

        protected override void UpdateGraph()
        {
            this.Expand(Pattern.Graph.GetRoot().PairedWith.Value);
        }

        public abstract void Expand(CEOC v);
    }
}
