﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

using Agora.Model.ImageAnalysis;

namespace Agora.Model.Project
{
    [XmlInclude(typeof(OperatorLevel1.CDelete))]
    [XmlInclude(typeof(OperatorLevel1.CFindCC))]
    [XmlInclude(typeof(OperatorLevel1.CInsert))]
    [XmlInclude(typeof(OperatorLevel1.CSetFeatures))]
    [XmlInclude(typeof(OperatorLevel2.CClassifyByFeatures))]
    [XmlInclude(typeof(OperatorLevel2.CFusion))]
    [XmlInclude(typeof(OperatorLevel2.CIntersect))]
    [XmlInclude(typeof(OperatorLevel3.CEuclidianFeatures))]
    [XmlInclude(typeof(OperatorLevel3.CEuclidianSpacing))]
    [XmlInclude(typeof(OperatorLevel3.CTextSegmentation))]
    [XmlInclude(typeof(OperatorMisc.CCreateLabel))]
    [XmlInclude(typeof(OperatorMisc.CDeleteLabel))]
    [XmlInclude(typeof(OperatorMisc.CExportResults))]
    public abstract class CStepOperator
    {
        public abstract bool Apply(CImageAnalysis analysis);
        //public abstract bool Undo(CImageAnalysis analysis);
        public abstract CStepOperator Clone();
    }
}
