﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Imaging;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using GUI;
using AForge.Imaging.Filters;

namespace TestSelectionInPicture
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ouvrirToolStripMenuItem_Click(object sender, EventArgs e)
        {
            DialogResult res = openFileDialog1.ShowDialog();
            if (res == DialogResult.OK)
            {
                Bitmap bm;
                string fn = openFileDialog1.FileName;
                try
                {
                    bm = new Bitmap(fn);
                    bm = AForge.Imaging.Image.Clone(bm, PixelFormat.Format24bppRgb);
                    SelectionInPictureForm frm = new SelectionInPictureForm();
                    frm.OriginalImage = bm;
                    res = frm.ShowDialog();
                    if (res == DialogResult.OK)
                    {
                    }
                }
                catch (Exception)
                {
                    throw new ApplicationException("Failed loading image from file" + fn);
                }

            }
        }
    }
}
